local augroup = vim.api.nvim_create_augroup("ScratchBuffer", { clear = true })


local function focus_gained()
  print("Huiii Fokus")
end

local function focus_lost()
  print("Hokus pokus fort ist der fokus")
end

local function main()
  print("Hello from our plugin")
  print(os.time())
end
local function setup()
  vim.api.nvim_create_autocmd("VimEnter",
    { group = augroup, desc = "Set a fennel scratch buffer on load", once = true, callback = main })
  vim.api.nvim_create_user_command(
    'Timer',                  -- The name of the command (accessible via :TimerStart)
    function()
      print("Timer started!") -- The function executed when the command is called
    end,
    { nargs = 0 }             -- No arguments for this command (you can configure this later)
  )
  vim.api.nvim_create_autocmd("FocusGained", { callback = focus_gained })
  vim.api.nvim_create_autocmd("FocusLost", { callback = focus_lost })
end

return { setup = setup }
